pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2021-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.BibTeX

Description

Writes a BibTeX or BibLaTeX bibliographies based on the `references` metadata in a Pandoc document.

Synopsis

- writeBibTeX :: PandocMonad m => WriterOptions -> Pandoc -> m Text
- writeBibLaTeX :: PandocMonad m => WriterOptions -> Pandoc -> m Text

# Documentation

writeBibTeX :: PandocMonad m => WriterOptions -> Pandoc -> m Text Source #

Write BibTeX based on the references metadata from a Pandoc document.

writeBibLaTeX :: PandocMonad m => WriterOptions -> Pandoc -> m Text Source #

Write BibLaTeX based on the references metadata from a Pandoc document.